Debian Bug report logs - #535298
smartmontools: In Self-test log, LifeTime wraps at 65536 hours

version graph

Package: smartmontools; Maintainer for smartmontools is Giuseppe Iuculano <iuculano@debian.org>; Source for smartmontools is src:smartmontools.

Reported by: Vincent Lefevre <vincent@vinc17.org>

Date: Wed, 1 Jul 2009 12:39:01 UTC

Severity: minor

Found in versions smartmontools/5.38+svn2879-4, smartmontools/5.38-3

Fixed in version smartmontools/5.38+svn2956-1

Done: Giuseppe Iuculano <iuculano@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://sourceforge.net/apps/trac/smartmontools/ticket/12

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Guido Günther <agx@sigxcpu.org>:
Bug#535298; Package smartmontools. (Wed, 01 Jul 2009 12:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.org>:
New Bug report received and forwarded. Copy sent to Guido Günther <agx@sigxcpu.org>. (Wed, 01 Jul 2009 12:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: smartmontools: In Self-test log, LifeTime wraps at 65536 hours
Date: Wed, 1 Jul 2009 14:31:12 +0200
Package: smartmontools
Version: 5.38-3
Severity: minor

smartctl -a gives here:

[...]
ID# ATTRIBUTE_NAME          FLAG     VALUE WORST THRESH TYPE      UPDATED  WHEN_FAILED RAW_VALUE
[...]
  9 Power_On_Hours          0x0012   001   001   000    Old_age   Always       -       66120
[...]
SMART Self-test log structure revision number 1
Num  Test_Description    Status                  Remaining  LifeTime(hours)  LBA_of_first_error
# 1  Short offline       Completed without error       00%       572         -
# 2  Short offline       Completed without error       00%       548         -
# 3  Short offline       Completed without error       00%       524         -
# 4  Short offline       Completed without error       00%       500         -
# 5  Short offline       Completed without error       00%       476         -
# 6  Short offline       Completed without error       00%       452         -
# 7  Short offline       Completed without error       00%       428         -
# 8  Short offline       Completed without error       00%       404         -
# 9  Short offline       Completed without error       00%       380         -
#10  Short offline       Completed without error       00%       356         -
#11  Short offline       Completed without error       00%       332         -
#12  Short offline       Completed without error       00%       308         -
#13  Short offline       Completed without error       00%       284         -
#14  Short offline       Completed without error       00%       260         -
#15  Short offline       Completed without error       00%       236         -
#16  Short offline       Completed without error       00%       212         -
#17  Short offline       Completed without error       00%       188         -
#18  Short offline       Completed without error       00%       164         -
#19  Short offline       Completed without error       00%       140         -
#20  Short offline       Completed without error       00%       116         -
#21  Short offline       Completed without error       00%        92         -

As you can see, in the SMART attributes, the life time (Power_On_Hours)
is OK: 66120. But in the log, it has wrapped at 65536.

-- Package-specific info:
Ouput of /usr/share/bug/smartmontools:
# CONFIG_IDE_TASK_IOCTL is not set

-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (900, 'testing'), (900, 'stable'), (500, 'oldstable'), (200, 'unstable')
Architecture: powerpc (ppc)

Kernel: Linux 2.6.26-1-powerpc
Locale: LANG=POSIX, LC_CTYPE=en_US.ISO8859-1 (charmap=ISO-8859-1)
Shell: /bin/sh linked to /bin/bash

Versions of packages smartmontools depends on:
ii  debianutils                   3.1.3      Miscellaneous utilities specific t
ii  libc6                         2.9-12     GNU C Library: Shared libraries
ii  libgcc1                       1:4.4.0-5  GCC support library
ii  libstdc++6                    4.4.0-5    The GNU Standard C++ Library v3
ii  lsb-base                      3.2-22     Linux Standard Base 3.2 init scrip

Versions of packages smartmontools recommends:
ii  bsd-mailx [mailx]  8.1.2-0.20081101cvs-2 A simple mail user agent

smartmontools suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#535298; Package smartmontools. (Wed, 16 Sep 2009 10:15:25 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giuseppe Iuculano <giuseppe@iuculano.it>:
Extra info received and forwarded to list. (Wed, 16 Sep 2009 10:15:25 GMT) Full text and rfc822 format available.

Message #10 received at 535298@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <giuseppe@iuculano.it>
To: 535298@bugs.debian.org, Vincent Lefevre <vincent@vinc17.org>
Subject: Re: smartmontools: In Self-test log, LifeTime wraps at 65536 hours
Date: Wed, 16 Sep 2009 11:48:10 +0200
[Message part 1 (text/plain, inline)]
Hi,

Could you please check if the version in unstable/testing (5.38+svn2879-4) works?

Cheers,
Giuseppe.

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <giuseppe@iuculano.it>:
Bug#535298; Package smartmontools. (Wed, 16 Sep 2009 12:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Lefevre <vincent@vinc17.org>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <giuseppe@iuculano.it>. (Wed, 16 Sep 2009 12:18:03 GMT) Full text and rfc822 format available.

Message #15 received at 535298@bugs.debian.org (full text, mbox):

From: Vincent Lefevre <vincent@vinc17.org>
To: Giuseppe Iuculano <giuseppe@iuculano.it>
Cc: 535298@bugs.debian.org
Subject: Re: smartmontools: In Self-test log, LifeTime wraps at 65536 hours
Date: Wed, 16 Sep 2009 14:08:48 +0200
found 535298 smartmontools/5.38+svn2879-4
thanks

On 2009-09-16 11:48:10 +0200, Giuseppe Iuculano wrote:
> Could you please check if the version in unstable/testing
> (5.38+svn2879-4) works?

Same problem.

-- 
Vincent Lefèvre <vincent@vinc17.org> - Web: <http://www.vinc17.org/>
100% accessible validated (X)HTML - Blog: <http://www.vinc17.org/blog/>
Work: CR INRIA - computer arithmetic / Arénaire project (LIP, ENS-Lyon)




Bug Marked as found in versions smartmontools/5.38+svn2879-4. Request was from Vincent Lefevre <vincent@vinc17.org> to control@bugs.debian.org. (Wed, 16 Sep 2009 12:18:05 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://sourceforge.net/apps/trac/smartmontools/ticket/12'. Request was from Giuseppe Iuculano <giuseppe@iuculano.it> to control@bugs.debian.org. (Wed, 16 Sep 2009 12:33:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Giuseppe Iuculano <giuseppe@iuculano.it>:
Bug#535298; Package smartmontools. (Sun, 11 Oct 2009 06:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Giuseppe Iuculano <iuculano@debian.org>:
Extra info received and forwarded to list. Copy sent to Giuseppe Iuculano <giuseppe@iuculano.it>. (Sun, 11 Oct 2009 06:54:03 GMT) Full text and rfc822 format available.

Message #24 received at 535298@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <iuculano@debian.org>
To: 535298@bugs.debian.org, 535298-submitter@bugs.debian.org
Subject: Upstream will not fix it
Date: Sun, 11 Oct 2009 08:44:07 +0200
[Message part 1 (text/plain, inline)]
Hi,

below the upstream answer.


> The LifeTime? value in '-l selftest' output is not truncated by smartctl. The 'Life timestamp' field in the ATA Self-test log data structure is a 16 bit quantity. Same applies to '-l xselftest'. See tables A.13 and A.21 of T13/1699-D Revision 6a.
> 
> If it is known (by drive database) that raw value of attribute 9 actually reports Power_On_Hours, then it would be possible to detect the overflow and adjust the log output accordingly.
> 
> The number of ATA disks with an uptime of ~7.5 years or more might be very limited, so I'm not sure whether this is worth the effort :-)

> There is IMO no good solution to fix this. I have added a note to smartctl man page.

Cheers,
Giuseppe.

[signature.asc (application/pgp-signature, attachment)]

Message sent on to Vincent Lefevre <vincent@vinc17.org>:
Bug#535298. (Sun, 11 Oct 2009 06:54:05 GMT) Full text and rfc822 format available.

Reply sent to Giuseppe Iuculano <iuculano@debian.org>:
You have taken responsibility. (Sun, 11 Oct 2009 11:06:38 GMT) Full text and rfc822 format available.

Notification sent to Vincent Lefevre <vincent@vinc17.org>:
Bug acknowledged by developer. (Sun, 11 Oct 2009 11:06:39 GMT) Full text and rfc822 format available.

Message #32 received at 535298-close@bugs.debian.org (full text, mbox):

From: Giuseppe Iuculano <iuculano@debian.org>
To: 535298-close@bugs.debian.org
Subject: Bug#535298: fixed in smartmontools 5.38+svn2956-1
Date: Sun, 11 Oct 2009 10:31:29 +0000
Source: smartmontools
Source-Version: 5.38+svn2956-1

We believe that the bug you reported is fixed in the latest version of
smartmontools, which is due to be installed in the Debian FTP archive:

smartmontools_5.38+svn2956-1.diff.gz
  to pool/main/s/smartmontools/smartmontools_5.38+svn2956-1.diff.gz
smartmontools_5.38+svn2956-1.dsc
  to pool/main/s/smartmontools/smartmontools_5.38+svn2956-1.dsc
smartmontools_5.38+svn2956-1_i386.deb
  to pool/main/s/smartmontools/smartmontools_5.38+svn2956-1_i386.deb
smartmontools_5.38+svn2956.orig.tar.gz
  to pool/main/s/smartmontools/smartmontools_5.38+svn2956.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 535298@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Giuseppe Iuculano <iuculano@debian.org> (supplier of updated smartmontools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 11 Oct 2009 09:42:47 +0200
Source: smartmontools
Binary: smartmontools
Architecture: source i386
Version: 5.38+svn2956-1
Distribution: unstable
Urgency: low
Maintainer: Giuseppe Iuculano <iuculano@debian.org>
Changed-By: Giuseppe Iuculano <iuculano@debian.org>
Description: 
 smartmontools - control and monitor storage systems using S.M.A.R.T.
Closes: 535298 544940 548438
Changes: 
 smartmontools (5.38+svn2956-1) unstable; urgency=low
 .
   * [283f281] Updated my email address and removed DM-Upload-Allowed
     control field
   * [eb07ddf] Imported Upstream version 5.38+svn2956
     + Added a note in smartctl (8) about 2^16 wrap of LifeTime value in
       Self-test log. (Closes: #535298)
   * [ed382e8] Refreshed patches
   * [f4ff277] Updated lowcap patch, make capabilities optional and
     clarify that mail notification could not work when used. (Closes:
     #544940)
   * [a7e19a3] Do not Build-depends in libcap-ng-dev in armel, libcap-ng
     is broken in this arch. (Closes: #548438)
Checksums-Sha1: 
 47e815798afd6f250786eb9f63c68d4e4242ed53 1499 smartmontools_5.38+svn2956-1.dsc
 3bcba1cef9c6c3f421b73945a0219335420d8b01 589689 smartmontools_5.38+svn2956.orig.tar.gz
 d621e0193e902b116fdc52752085e4269cda5e6f 34527 smartmontools_5.38+svn2956-1.diff.gz
 ccc10358e12fc660048fc3a7ccceaf77ad026b39 406150 smartmontools_5.38+svn2956-1_i386.deb
Checksums-Sha256: 
 cdf9fb80a770ea9e398d95b602d006c5142ce0f9eeb79944d46861e10e3eb344 1499 smartmontools_5.38+svn2956-1.dsc
 88facb99e21721b87bbffed4cbf2f45cd6eb070c695cce334f544270208a355c 589689 smartmontools_5.38+svn2956.orig.tar.gz
 4d04c4f6d3b8b8da696458ebaa5db3510faf2ce0f4f3e5a14f82e2eef3af81fd 34527 smartmontools_5.38+svn2956-1.diff.gz
 102c9b9aaa2df5b822e814c6db037c9451441925a36f2a2b886166376eb03f25 406150 smartmontools_5.38+svn2956-1_i386.deb
Files: 
 4f2037dff97ec0daaa9af39d2424b89e 1499 utils optional smartmontools_5.38+svn2956-1.dsc
 1c1cf47c0f126c9cb0156bbc7203841c 589689 utils optional smartmontools_5.38+svn2956.orig.tar.gz
 a3328c3171f0e9d54eac90b847daa456 34527 utils optional smartmontools_5.38+svn2956-1.diff.gz
 28b9981c3df5cab6c0edc724b6cddb31 406150 utils optional smartmontools_5.38+svn2956-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkrRlmsACgkQNxpp46476aoqNwCdGiYSFhRjCqJ1cq/1jkOqWk2r
zekAoJQP2gZB9TTjMhrmbxdExYFQ5qS6
=48pJ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sun, 15 Nov 2009 07:55:47 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Mon Apr 21 13:06:33 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.